<style>
    table,
    td
     {
        border: 1px solid #ddd;
        text-align: center;
        color: black;

    }

    table {
        width: 30%;
    }

    
    td {
        padding: 5px;
    }
</style>
<div>
    <!-- <h3 style="color: rgb(22, 22, 20); background-color: black;">Add Class</h3> -->
    <br>
    <h3>Search Student</h3>
    <br>
    <input type="number"[(ngModel)]="id1" placeholder="Enter Student Badge">
    <br>
    <br>
    <button (click)="SearchStudentById()">Search Student</button>
</div>
<br>
<div>
    <table align="center">
        <tr>
            <th>Student Badge</th>
            <th>Students Name</th>
            <th>Students Class</th>
        </tr>
        <tr *ngFor="let stu of studentList">
            <td border:1px>{{stu.stud_Badge}}</td>
            <td border:1px>{{stu.stud_Name}}</td>
            <td>{{stu.class_Std}}</td>
        </tr>
    </table>
</div>